/*****
 * Copyright (c) 2024 - Poivron Robotique
 *
 * SPDX-License-Identifier: BSD-3-Clause
*/
#include "pico/stdlib.h"
#include "Moteurs.h"
#include "Teleplot.h"
#include "Temps.h"
#include <stdio.h>
#include <math.h>

void setup(void);
void loop(void);

int valeur = 1;

void main(void)
{
    setup();
	while(1){
		loop();
	}
}

void setup(void){
	stdio_init_all();
	Teleplot_init();
	Temps_init();
	Moteur_init();
}

void loop(void){
	float t = (float) Temps_get_temps_ms() / 1000. ;
	Moteur_set_commande(MOTEUR_A, sin(t * 3.14) * MOTEUR_MAX_COMMANDE) ;
	Moteur_set_commande(MOTEUR_B, sin(t * 3.14) * MOTEUR_MAX_COMMANDE) ;
}